# Gst::OggMux Class Reference
[gstreamermm Plugins]

A Wrapper for the oggmux plugin. More...

Inherits Gst::Element, and Gst::Preset.

Collaboration diagram for Gst::OggMux:
[legend]

List of all members.

## Public Member Functions

virtual | ~OggMux ()
GstOggMux* | gobj ()
| Provides access to the underlying C GObject.
const GstOggMux* | gobj () const
| Provides access to the underlying C GObject.
GstOggMux* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< guint64 > | property_max_delay ()
| Maximum delay in multiplexing streams.
Glib::PropertyProxy_ReadOnly < guint64 > | property_max_delay () const
| Maximum delay in multiplexing streams.
Glib::PropertyProxy< guint64 > | property_max_page_delay ()
| Maximum delay for sending out a page.
Glib::PropertyProxy_ReadOnly < guint64 > | property_max_page_delay () const
| Maximum delay for sending out a page.

## Static Public Member Functions

static Glib::RefPtr< OggMux > | create ()
| Creates a new oggmux plugin with a unique name.
static Glib::RefPtr< OggMux > | create (const Glib::ustring& name)
| Creates a new oggmux plugin with the given name.

## Protected Member Functions

| OggMux ()
| OggMux (const Glib::ustring& name)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gst::OggMux > | wrap (GstOggMux* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the oggmux plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::OggMux::~OggMux | ( |  | ) | `[virtual]`

Gst::OggMux::OggMux | ( |  | ) | `[protected]`

Gst::OggMux::OggMux | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<OggMux> Gst::OggMux::create | ( |  | ) | `[static]`

Creates a new oggmux plugin with a unique name.

static Glib::RefPtr<OggMux> Gst::OggMux::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new oggmux plugin with the given name.

const GstOggMux* Gst::OggMux::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Preset.

GstOggMux* Gst::OggMux::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Preset.

GstOggMux* Gst::OggMux::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy_ReadOnly<guint64> Gst::OggMux::property_max_delay | ( |  | ) | const

Maximum delay in multiplexing streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint64> Gst::OggMux::property_max_delay | ( |  | ) |

Maximum delay in multiplexing streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint64> Gst::OggMux::property_max_page_delay | ( |  | ) | const

Maximum delay for sending out a page.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint64> Gst::OggMux::property_max_page_delay | ( |  | ) |

Maximum delay for sending out a page.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::OggMux > wrap | ( | GstOggMux * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/oggmux.h